@import "../../../assets/styles/main.scss";

.newsDetailsSection {
  padding: 20px 0px 80px 0px;
  position: relative;
  &::after {
    content: "";
    position: absolute;
    height: 189px;
    width: 228px;
    left: 0;
    top: -38px;
    background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/downArrowPlan.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 1;
  }
  .newsDetailsContainer {
    @include container-medium-1;
  }
  .newsArticalDetailGridSection {
    padding: 0px 15px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    position: relative;
    z-index: 9;

    .newsArticalCardmain {
      border-radius: 10px;
      background: getColorHex("white");
      box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.07);
      padding: 15px;
      display: flex;
      align-items: center;
      justify-content: space-between;
      gap: 35px;
      @include xl {
        gap: 20px;
      }
      .newsArticalsText {
        padding-left: 20px;
        @include xl {
          padding-left: 10px;
        }
        h1 {
          color: getColorHex("black") !important;
          @include inter700;
          font-size: 24px;
          line-height: 29.28px;
          letter-spacing: -0.4px;
          padding-bottom: 26px;
          border-bottom: 1px solid #e2dfeb;
          @include xl {
            font-size: 22px;
          }
        }
        p {
          padding: 20px 0px 22px 0px;
          font-size: 14px;
          line-height: 175.023%;
          @include inter700;
        }
        a {
          color: getColorHex("black") !important;
          font-size: 14px;
          @include inter400;
          line-height: 28.8px;
        }
      }
      .newsArticalsImage {
        position: relative;
        height: 290px;
        width: 228px;
        min-width: 228px;
        @include xxl {
          height: 270px;
          width: 218px;
          min-width: 218px;
        }
        @include xl {
          height: 230px;
          width: 170px;
          min-width: 170px;
        }
        img {
          width: 100%;
          height: 100%;
        }

        .newsImageDate {
          position: absolute;
          top: 0;
          right: 0;
          border-radius: 0px 8px;
          background: getColorHex("orange");
          height: 60px;
          padding: 15px 12px 14.2px 12px;

          h1 {
            color: getColorHex("white");
            text-align: center;
            font-size: 18px;
            line-height: 19.8px;
            letter-spacing: 1px;
            text-transform: uppercase;
          }
          p {
            color: getColorHex("white");
            text-align: center;
            font-size: 10px;
            line-height: 11px;
            letter-spacing: 1px;
            text-transform: uppercase;
          }
        }
        img {
          border-radius: 8px;
        }
      }
    }
  }
  .newsDetailsPaginationMain {
    margin-top: 30px;
    padding: 50px 0px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0px 15px;
    .pagination {
      display: flex;
      align-items: center;
      gap: 5px;
      padding-left: 0px;
      .pageItem {
        width: 50px;
        height: 50px;
        border-radius: 8px;
        border: 1px solid #f1f1f1;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 20px;
        line-height: 24.2px;
        cursor: pointer;
      }
      .active {
        background-color: #f47500;
        color: #fff;
      }
      .pageDots {
        border: unset;
      }
    }
    .newsDetailsDropdownPagination {
      display: flex;
      align-items: center;
      gap: 12px;
      h4 {
        font-size: 14px;
        line-height: 16.94px;
      }
      .dropdownToggle {
        min-width: 70px;
        height: 42px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 8px 15px 8px 15px;
        border-radius: 8px;
        gap: 8px;
        border: 1px solid #f47500;
        background: unset;
        color: #000;
        font-size: 14px;
        line-height: 16.94px;
        &:after {
          background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/dropdown_icon.svg);
          background-position: center;
          background-size: contain;
          background-repeat: no-repeat;
          min-width: 16px;
          height: 16px;
          border-top: unset;
          border-left: unset;
          border-right: unset;
          cursor: pointer;
        }
      }
      .dropdownMenu{
        min-width: 70px;
        max-height: 150px;
        overflow-y: auto;
        &::-webkit-scrollbar {
          width: 3px;
        }
        
        /* Track */
        &::-webkit-scrollbar-track {
          background: #f1f1f1; 
        }
         
        /* Handle */
        &::-webkit-scrollbar-thumb {
          background: #c7c5c5; 
        }
        
        /* Handle on hover */
        &::-webkit-scrollbar-thumb:hover {
          background: #a5a3a3; 
        }
      }
    }
  }
}
